<template>
  <div>
    <b-form >
      <b-form-group
        id="input-group-1"
        label="Nombre:"
        label-for="input-1"
      >
        <b-form-input
          id="input-1"
          v-model="producto.nombre"
          required
        ></b-form-input>
      </b-form-group>

      <b-form-group id="input-group-2" label="Descripcion:" label-for="input-2">
        <b-form-input
          id="input-2"
          v-model="producto.descripcion"
          required
        ></b-form-input>
      </b-form-group>

      <b-form-group id="input-group-3" label="Precio:" label-for="input-3">
        <b-form-input
          id="input-3"
          v-model="producto.precio"
          required
        ></b-form-input>
      </b-form-group>

      <b-button v-on:click="enviar" variant="primary">Añadir</b-button>
    </b-form>
  </div>
</template>

<script>
export default {

    data() {
      return {
        producto: {
          nombre: '',
          descripcion: '',
          precio: 0,
        },
      }
    },
    methods: {
        enviar(){
            this.$emit('newProduct',this.producto);
            this.producto.nombre="";
            this.producto.descripcion="";
            this.producto.precio=0;
        }
      
    }
 

}
</script>

<style>

</style>